Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598660 - selecting a saved saved from the SearchBar suggestions does not "activate" it
Summary: selecting a saved saved from the SearchBar suggestions does not "activate" it
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 3.0.0
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: Joseph Marques
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-01 19:46 UTC by Joseph Marques
Modified: 2010-08-12 16:54 UTC (History)
0 users

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-12 16:54:53 UTC


Attachments (Terms of Use)

Description Joseph Marques 2010-06-01 19:46:22 UTC
Description of problem:

When using the down-arrow on the far right-hand side of the SearchBar, you can select from your saved searches.  When you select one, it activates it by putting the saved search pattern into the SearchBar on the left, and puts the name of the saved search inside a green label on the right of the SearchBar.

When a user selects a saved search from the suggestions popup, it should "activate" that saved search in the same way as described above.

How reproducible:

Every time.

Steps to Reproduce:
1. Create a saved search
1a. Type "availability=down" into the SearchBar for resources
1b. Click the Star image on the right
1c. Name the search "red resources"
2. Clear out the SearchBar (using backspace)
3. Type "red", you should see "red resources" as one of the saved search suggestions
4. Using down arrow, select "red resources" and press enter
  
Actual results:

"availability=down" is put into the SearchBar on the left

Expected results:

"availability=down" is put into the SearchBar on the left.
"red resources" is put into the green name-label on the right.

Additional info:

Repeat step #4 but this time select the "red resources" suggestion via a mouse click.  The expected results are the same.

Comment 1 Joseph Marques 2010-06-01 21:47:39 UTC
commit ef7fbbe53d282ba2aa4f13516ba56d0fb370cbcf
Author: Joseph Marques <joseph@redhat.com>
Date:   Tue Jun 1 17:44:27 2010 -0400

BZ-598660: activate saved search when selected from SearchBar suggestions

Comment 2 Sunil Kondkar 2010-06-03 11:47:20 UTC
Verified on jon build#197 (Revision: 10629)

when user enters saved search name characters (Ex: red) and selects the saved search suggestion using down arrow key or via a mouse click, the search expression is displayed in search bar on left and the saved search name is displayed in text box in green label on the right.

Comment 3 Corey Welton 2010-08-12 16:54:53 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.